--! Previous: sha1:183d67042c756db13c07c3f3c6b8bd5301d47239
--! Hash: sha1:848f1f09a7cd93047aa139d0c4fc203f9ab6ccc4
--! Message: Gender table and initial values

--- Table of user genders.
CREATE TABLE IF NOT EXISTS Gender
(
    --- The internal ID, usually a few lower-case characters roughly representing this gender.
    id   VARCHAR(8) PRIMARY KEY NOT NULL,
    --- The name of this gender for use in tables et al. This should be the name of the gender
    --- (e.g., "Female", "Male", "Nonbinary") not the name for a person of that gender.
    name VARCHAR(100) UNIQUE    NOT NULL
);

--- Default genders.
INSERT INTO Gender
    (id, name)
VALUES ('f', 'Female'),
       ('nb', 'Non-binary'),
       ('m', 'Male')
ON CONFLICT DO NOTHING;
