--! Previous: sha1:d16f7d7c74ee0a1f58ac87a09de124d165088661
--! Hash: sha1:b34f19ae3e3ef87d0d7539803df087e886e1db1c
--! Message: DiscordUser table

--- Table of information known about Discord users.
CREATE TABLE IF NOT EXISTS DiscordUser
(
    --- The Discord ID this record is for. A Discord snowflake.
    discordId     VARCHAR(20) PRIMARY KEY NOT NULL,
    --- The last known username associated with this user.
    username      VARCHAR(32)             NOT NULL,
    --- The last known discriminator associated with this user.
    discriminator VARCHAR(4)              NOT NULL,
    --- The Player that this DiscordUser is associated with.
    playerId      INT REFERENCES Player (id) ON DELETE SET NULL ON UPDATE CASCADE
)
