--! Previous: sha1:b34f19ae3e3ef87d0d7539803df087e886e1db1c
--! Hash: sha1:8243b031500fde9c022d6aada10a429496dc264d
--! Message: UnitTier table

--- Table of definitions of unit tiers.
CREATE TABLE IF NOT EXISTS UnitTier
(
    --- The internal ID associated with this tier, a few short characters.
    id         VARCHAR(8)   NOT NULL PRIMARY KEY,
    --- The human-readable name of this tier. Unique among tiers.
    name       VARCHAR(100) NOT NULL UNIQUE,
    --- The chance of pulling a unit of this tier.
    pullWeight INT          NOT NULL,
    --- The cost of /recalling a unit of this tier.
    recallCost INT          NOT NULL
)
