import {AutocompleteContext, CommandContext, ComponentContext, Message, SlashCommand, SlashCreator} from "slash-create";

export class SetupCommand extends SlashCommand {
    constructor(creator: SlashCreator) {
        super(creator, {
            name: "setup-commands-disabled",
            unknown: true
        });
    }

    autocomplete(ctx: AutocompleteContext): Promise<any> {
        return ctx.sendResults([])
    }

    run(ctx: CommandContext): Promise<any> {
        return ctx.send({
            ephemeral: true,
            content: "The server is currently in setup mode! You can't run commands right now..."
        })
    }
}

export function setupComponentInteractionHandler(ctx: ComponentContext): Promise<boolean | Message> {
    return ctx.send({
        ephemeral: true,
        content: "The server is currently in setup mode! You can't interact with its messages right now..."
    })
}