import {QueryResult} from "pg";

export function singleQueryResult<T>(result: QueryResult<[T]>): T | undefined {
    return singleColumnQueryResult(result)[0]
}

export function singleColumnQueryResult<T>(result: QueryResult<[T]>): T[] {
    return result.rows.map(([item]) => item)
}

export function singleRowQueryResult<T>(result: QueryResult<T>): T | undefined {
    return result.rows[0]
}